%{?mingw_package_header}

%global pkgname win-iconv

Name:          mingw-%{pkgname}
Version:       0.0.10
Release:       %mkrel 1
Summary:       Iconv implementation using Win32 API

License:       Public Domain
Group:         Development/Other
URL:           https://github.com/win-iconv/win-iconv
Source0:       https://github.com/win-iconv/win-iconv/archive/v%{version}/%{pkgname}-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: make
BuildRequires: cmake

BuildRequires: mingw32-filesystem
BuildRequires: mingw32-gcc-c++

BuildRequires: mingw64-filesystem
BuildRequires: mingw64-gcc-c++


%description
MinGW Windows Iconv library


%{?mingw_debug_package}


# Win32
%package -n mingw32-win-iconv
Summary:       MinGW Windows Iconv library

%description -n mingw32-win-iconv
MinGW Windows cross compiled Iconv library.

%package -n mingw32-win-iconv-static
Summary:       Static version of the MinGW Windows Iconv library
Requires:      mingw32-win-iconv = %{version}-%{release}

%description -n mingw32-win-iconv-static
Static version of the MinGW Windows Iconv library.

# Win64
%package -n mingw64-win-iconv
Summary:       MinGW Windows Iconv library

%description -n mingw64-win-iconv
MinGW Windows Iconv library

%package -n mingw64-win-iconv-static
Summary:       Static version of the MinGW Windows Iconv library
Requires:      mingw64-win-iconv = %{version}-%{release}

%description -n mingw64-win-iconv-static
Static version of the MinGW Windows Iconv library.


%prep
%autosetup -p1 -n %{pkgname}-%{version}
sed -i 's|\r||' readme.txt ChangeLog


%build
%mingw_cmake
%mingw_make_build


%install
%mingw_make_install

rm %{buildroot}/%{mingw32_bindir}/win_iconv.exe
rm %{buildroot}/%{mingw64_bindir}/win_iconv.exe

# Fix file conflict with mingw-libcharset
rm -f %{buildroot}%{mingw32_includedir}/localcharset.h
rm -f %{buildroot}%{mingw64_includedir}/localcharset.h


%files -n mingw32-win-iconv
%doc ChangeLog readme.txt
%{mingw32_bindir}/iconv.dll
%{mingw32_includedir}/iconv.h
%{mingw32_libdir}/libiconv.dll.a

%files -n mingw32-win-iconv-static
%{mingw32_libdir}/libiconv.a

%files -n mingw64-win-iconv
%doc ChangeLog readme.txt
%{mingw64_bindir}/iconv.dll
%{mingw64_includedir}/iconv.h
%{mingw64_libdir}/libiconv.dll.a

%files -n mingw64-win-iconv-static
%{mingw64_libdir}/libiconv.a




%changelog
* Sun May 04 2025 daviddavid <daviddavid> 0.0.10-1.mga10
+ Revision: 2180856
- Update to 0.0.10

* Sun May 04 2025 daviddavid <daviddavid> 0.0.9-1.mga10
+ Revision: 2180742
- Update to 0.0.9
- Fix file conflict with mingw-libcharset

* Thu Mar 24 2022 umeabot <umeabot> 0.0.8-3.mga9
+ Revision: 1824203
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.0.8-2.mga8
+ Revision: 1525422
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 daviddavid <daviddavid> 0.0.8-1.mga7
+ Revision: 1391939
- new version: 0.0.8
- update upstream URLs

* Wed Sep 19 2018 umeabot <umeabot> 0.0.6-2.mga7
+ Revision: 1264444
- Mageia 7 Mass Rebuild

* Tue Apr 05 2016 tv <tv> 0.0.6-1.mga6
+ Revision: 998526
- new release

* Mon Feb 08 2016 umeabot <umeabot> 0.0.4-7.mga6
+ Revision: 945547
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.4-6.mga5
+ Revision: 740617
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.4-5.mga5
+ Revision: 682516
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0.4-4.mga4
+ Revision: 536112
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 0.0.4-3.mga4
+ Revision: 483344
- imported package mingw-win-iconv


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 21 2012 Kalev Lember <kalevlember@gmail.com> - 0.0.4-1
- Update to 0.0.4
- Drop upstreamed dllname patch

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 10 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0-3-7
- Added win64 support

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.3-6
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 0.0.3-4
- Rename the shared library to iconv.dll instead of hacking up the
  import library

* Wed Jul  6 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.3-3
- Make sure that the .dll.a import library refers to libiconv.dll
  instead of iconv.dll

* Sun Jul  3 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.3-2
- Add versioned BR for cmake >= 2.8.0

* Fri Jun  3 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.3-1
- Update to 0.0.3

* Thu Jun  2 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.2-3
- Moved the obsoletes/provides to the proper location
- Bumped the requirement for mingw32-filesystem to >= 68 because of RPM 4.9 support
- Dropped the %%defattr tags
- Dropped the %%{?dist} tag from the obsoletes/provides

* Thu Jun  2 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.2-2
- Use the name mingw-win-iconv for the srpm to ease the transition to
  the mingw-w64 based toolchain
- Use the RPM 4.9 dependency generator
- Dropped unnecessary tags

* Thu Feb 17 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.2-1
- Update to version 0.0.2
- Dropped upstreamed patch
- Dropped the win_iconv.exe binary
- Bumped the mingw32-iconv obsoletes

* Thu Sep 30 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.1-1
- Initial release
- Obsoletes/provides mingw32-iconv and mingw32-iconv-static

